function plot_fit_complex(f, Hc, Hhat, iat, ich)

f = f(:);
Hc = Hc(:);
Hhat = Hhat(:);

switch iat
    case 1
        ttl = sprintf('Absolute Accel Transmissibility (G/G)  Channel = %d', ich);

    case 2
        ttl = sprintf('FRF: Acc/Force  Channel = %d', ich);

    case 3
        ttl = sprintf('FRF: Vel/Force  Channel = %d', ich);

    case 4
        ttl = sprintf('FRF: Disp/Force Channel = %d', ich);

    otherwise
        ttl = sprintf('FRF / Transmissibility Channel = %d', ich);
end

figure('Color','w');

subplot(2,1,1)
plot(f, real(Hhat),'b','LineWidth',1.4)
hold on
plot(f, real(Hc),'r','LineWidth',1.2)
grid on
ylabel('Real')
title(ttl)
legend('Curve-fit','Measured','Location','best')

subplot(2,1,2)
plot(f, imag(Hhat),'b','LineWidth',1.4)
hold on
plot(f, imag(Hc),'r','LineWidth',1.2)
grid on
ylabel('Imag')
xlabel('Frequency (Hz)')
legend('Curve-fit','Measured','Location','best')

end